#include <stdio.h>
#include <stdlib.h>
#define MAX_SIZE 1000


int main() {
    int N,K,resenje,x;   
    printf("Unesite broj karata u spilu i broj karte koju madjionicar vidi: \n");
    scanf("%d""%d", &N,&K);
    int arr[MAX_SIZE];
    printf("Unesite %d karata u spilu: \n", N);
    for(int i=0; i<N; i++)
    {
        scanf("%d", &arr[i]);
    }  
    for (int i = 0; i < N; i++)
{
     if (K == arr[i])
     {
         x = i+1;
     }
}
  resenje=arr[x];
  if (x<N){
    printf("%d",resenje);
  } else {
    printf("%d",arr[0]); 
   }
}